Skip to main content

Cannot install update tool: Not in GZIP format

Please note these java.net forums are being decommissioned and use the new and improved forums at https://community.oracle.com/community/java.
3 replies [Last post]
kneumei
Offline
Joined: 2007-11-13

I am running java 6 on windows. I just installed glassfish 3.1.2.2 using exe and chose not to install a domain during the installation. Then I tried running the pgk tool, and found out I had to install it. At first it didn't work, due to a 404. I found an answer here http://java.net/jira/browse/GLASSFISH-18884) to that problem (have to edit cfg_cache). Then I tried running it again, but now I am seeing this:

Input/output error: Not in GZIP format

Here is the complete output.

C:\opt\glassfish3\bin> .\updatetool

The software needed for this command (updatetool) is not installed.

If you choose to install Update Tool, your system will be automatically
configured to periodically check for software updates. If you would like
to configure the tool to not check for updates, you can override the
default behavior via the tool's Preferences facility.

When this tool interacts with package repositories, some system information
such as your system's IP address and operating system type and version
is sent to the repository server. For more information please see:

http://wikis.oracle.com/display/updatecenter/UsageMetricsUC2

Once installation is complete you may re-run this command.

Would you like to install Update Tool now (y/n): y

C:\opt\glassfish3\bin>"C:\Program Files (x86)\Java\jdk1.6.0_32\bin\java" -Dimage.path="C:\opt\glassfish3\bin\\.." -jar "C:\opt\glassfish3\bin\\..\pkg/lib/pkg-bootstrap.jar" "C:\Users\NEUMEI~1\AppData\Local\Temp\pkg-bootstrap5312.props"
Proxy: Using system proxy settings.
Install image: C:\opt\glassfish3
Installing pkg packages.
Downloading 2 packages.
Downloading pkg (514 files, 6,463,109 bytes).
File 514/514
Downloading python2.4-minimal (278 files, 3,828,949 bytes).
File 278/278
Executing 906 install actions.
Input/output error: Not in GZIP format

Could not download application packages. This could be because:
- a proxy server is needed to access the internet. Please ensure that
the system proxy server settings in your Internet Options control panel
(under Connections:LAN Settings) are correct, or set the HTTP_PROXY
environment variable to the full URL of the proxy server.
- the package server or network connection is slow.
If you are getting time out errors you can try setting the
PKG_CLIENT_CONNECT_TIMEOUT and PKG_CLIENT_READ_TIMEOUT
environment variables and try again. For example to increase
the timeouts to 300 seconds set them to 300
- the package server is down or otherwise inaccessible or it is
generating invalid data. Please contact the provider of the package
server.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
kneumei
Offline
Joined: 2007-11-13

I was able to download the updatecenter from here, and install it fine. The one that came with the glassfish download didn't work.

https://wikis.oracle.com/display/updatecenter/Welcome!

sgajari
Offline
Joined: 2014-07-29

Hello,
I am also receiving the same error message when trying to install the update tool.
Input/output error: Not in GZIP format
This is for glassfish 4.0 and my OS is windows 2008R2 64 bit.
I followed the link https://wikis.oracle.com/display/IpsBestPractices/Downloads
to download the tool kit but I don't see anything for windows 64 bit. Windows x86 image is not working on our system. The Universal image is working but resulting in a different error as shown below.

Errors were encountered while attempting to retrieve package or file data for
the requested operation.
Details follow:

1: Framework error: code: 56
URL: 'http://pkg.oracle.com/layered/collection/dev'. (happened 6 times)
2: Invalid content for action with path updatetool/vendor-packages/wx-2.8/wxPyth
on/lib/editor/__init__.pyc: chash failure: expected: 5ede67cc7ce49e9a553300d02b1
63320fe785fd9 computed: 49c58888b12b738dd5080cb510b298cf998edd8e. (happened 4 ti
mes)
3: Invalid content for action with path updatetool/vendor-packages/wx-2.8/wx/loc
ale/tr/LC_MESSAGES/wxstd.mo: chash failure: expected: e9027025862b03dc39a51884d8
d6bbaef0799073 computed: bb2e1b28cf3779913ab54f4342c28adb76ba174a. (happened 4 t
imes)
4: Invalid content for action with path updatetool/vendor-packages/wx-2.8/wx/_gr
id.pyd: chash failure: expected: 0ff3bf164407feb12f47874f1862a26d28549b4b comput
ed: 49c58888b12b738dd5080cb510b298cf998edd8e. (happened 2 times)
5: Invalid content for action with path updatetool/vendor-packages/wx-2.8/wx/_we
bkit.pyd: chash failure: expected: 6b286bb6e17ab8c6a878fae003b691e1875b6922 comp
uted: bb2e1b28cf3779913ab54f4342c28adb76ba174a. (happened 2 times)
6: Invalid content for action with path updatetool/vendor-packages/wx-2.8/wx/_gi
zmos.pyd: chash failure: expected: 678eb83ad78e61588b65d65ed5ded3efa5ba7c6f comp
uted: 99b52a73640e5ac3c45e7a3f374e138f11e64921. (happened 2 times)

Can anyone please help?

Thanks

kneumei
Offline
Joined: 2007-11-13

I'm new to the glassfish community. I posted this question on the forums,
but thought I would try the mailing list. Sorry if this is double-posting,
but I didn't see the forum post come across the mailing list.

I am running java 6 on windows. I just installed glassfish 3.1.2.2 using
exe and chose not to install a domain during the installation. Then I tried
running the pgk tool, and found out I had to install it. At first it didn't
work, due to a 404. I found an answer here
http://java.net/jira/browse/GLASSFISH-18884) to that problem (have to edit
cfg_cache). Then I tried running it again, but now I am seeing this:

Input/output error: Not in GZIP format

Here is the complete output.

C:\opt\glassfish3\bin> .\updatetool

The software needed for this command (updatetool) is not installed.

If you choose to install Update Tool, your system will be automatically
configured to periodically check for software updates. If you would like
to configure the tool to not check for updates, you can override the
default behavior via the tool's Preferences facility.

When this tool interacts with package repositories, some system information
such as your system's IP address and operating system type and version
is sent to the repository server. For more information please see:

http://wikis.oracle.com/display/updatecenter/UsageMetricsUC2

Once installation is complete you may re-run this command.

Would you like to install Update Tool now (y/n): y

C:\opt\glassfish3\bin>"C:\Program Files (x86)\Java\jdk1.6.0_32\bin\java"
-Dimage.path="C:\opt\glassfish3\bin\\.." -jar
"C:\opt\glassfish3\bin\\..\pkg/lib/pkg-bootstrap.jar"
"C:\Users\NEUMEI~1\AppData\Local\Temp\pkg-bootstrap5312.props"
Proxy: Using system proxy settings.
Install image: C:\opt\glassfish3
Installing pkg packages.
Downloading 2 packages.
Downloading pkg (514 files, 6,463,109 bytes).
File 514/514
Downloading python2.4-minimal (278 files, 3,828,949 bytes).
File 278/278
Executing 906 install actions.
Input/output error: Not in GZIP format

Could not download application packages. This could be because:
- a proxy server is needed to access the internet. Please ensure that
the system proxy server settings in your Internet Options control panel
(under Connections:LAN Settings) are correct, or set the HTTP_PROXY
environment variable to the full URL of the proxy server.
- the package server or network connection is slow.
If you are getting time out errors you can try setting the
PKG_CLIENT_CONNECT_TIMEOUT and PKG_CLIENT_READ_TIMEOUT
environment variables and try again. For example to increase
the timeouts to 300 seconds set them to 300
- the package server is down or otherwise inaccessible or it is
generating invalid data. Please contact the provider of the package
server.